package com.zzsn.entity;

import java.io.Serializable;


public class SiteTemplate implements Serializable {
    private static final long serialVersionUID = 1L;
    String sourceId;
    String siteName;
    String siteHost;
    String siteLang;

    String matchUrl;
    String matchTitle;
    String matchSummary;
    String matchContent;
    String matchPublishDate;
    String matchOrigin;
    String matchAuthor;
    String excloume1;
    String excloume2;

    
	public SiteTemplate() {
		super();
	}
	public SiteTemplate(String siteName, String siteHost, String siteLang, String matchUrl, String matchTitle,
			String matchSummary, String matchContent, String matchPublishDate, String matchOrigin, String matchAuthor,
			String excloume1, String excloume2) {
		super();
		this.siteName = siteName;
		this.siteHost = siteHost;
		this.siteLang = siteLang;
		this.matchUrl = matchUrl;
		this.matchTitle = matchTitle;
		this.matchSummary = matchSummary;
		this.matchContent = matchContent;
		this.matchPublishDate = matchPublishDate;
		this.matchOrigin = matchOrigin;
		this.matchAuthor = matchAuthor;
		this.excloume1 = excloume1;
		this.excloume2 = excloume2;
	}
	public String getSourceId() {
		return sourceId;
	}
	public void setSourceId(String sourceId) {
		this.sourceId = sourceId;
	}
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	public String getSiteHost() {
		return siteHost;
	}
	public void setSiteHost(String siteHost) {
		this.siteHost = siteHost;
	}
	public String getSiteLang() {
		return siteLang;
	}
	public void setSiteLang(String siteLang) {
		this.siteLang = siteLang;
	}
	public String getMatchUrl() {
		return matchUrl;
	}
	public void setMatchUrl(String matchUrl) {
		this.matchUrl = matchUrl;
	}
	public String getMatchTitle() {
		return matchTitle;
	}
	public void setMatchTitle(String matchTitle) {
		this.matchTitle = matchTitle;
	}
	public String getMatchSummary() {
		return matchSummary;
	}
	public void setMatchSummary(String matchSummary) {
		this.matchSummary = matchSummary;
	}
	public String getMatchContent() {
		return matchContent;
	}
	public void setMatchContent(String matchContent) {
		this.matchContent = matchContent;
	}
	public String getMatchPublishDate() {
		return matchPublishDate;
	}
	public void setMatchPublishDate(String matchPublishDate) {
		this.matchPublishDate = matchPublishDate;
	}
	public String getMatchOrigin() {
		return matchOrigin;
	}
	public void setMatchOrigin(String matchOrigin) {
		this.matchOrigin = matchOrigin;
	}
	public String getMatchAuthor() {
		return matchAuthor;
	}
	public void setMatchAuthor(String matchAuthor) {
		this.matchAuthor = matchAuthor;
	}
	@Override
	public String toString() {
		return "SiteTemplate [sourceId=" + sourceId + ", siteName=" + siteName + ", siteHost=" + siteHost
				+ ", siteLang=" + siteLang + ", matchUrl=" + matchUrl + ", matchTitle=" + matchTitle + ", matchSummary="
				+ matchSummary + ", matchContent=" + matchContent + ", matchPublishDate=" + matchPublishDate
				+ ", matchOrigin=" + matchOrigin + ", matchAuthor=" + matchAuthor + ", excloume1=" + excloume1
				+ ", excloume2=" + excloume2 + "]";
	}

    
    
    
}
